Subject: RE: [External] : Re: bug#78021: 30.1; Unclear sentence in (emacs)Matching

From: Drew Adams <[email-masked]>
Date: Tue, 29 Apr 2025 17:16:47 +0000

> > I do think so.  Ordinary users of all stripes are encouraged
> > to file bug reports and enhancement requests.  They shouldn't
> > need to access texi sources or be familiar with diffs or
> > patches.  Especially for doc changes.  Just tossing them a
> > patch discourages such participation.
> >
> > I write technical docs.  There's no way we would expect our
> > reviewers to fiddle with source input (XML) to the doc process
> > or diffs/patches, even though they're all competent software
> > people.  Reviewing doc is about reading text, and preferably
> > doing so in context.
> >
> > Think about this: Surely you didn't _write_ your improved
> > text in the form of a diff.  You wrote it as ordinary text,
> > and you probably did so reading the surrounding context as
> > ordinary text.  And even if you didn't, mere mortals would.
> 
> Of course I didn't write the diff by hand, but I did make changes
> directly in the .texi file and then the easiest and quickest way (for
> me) to see the changes in context, and present them to others, is to
> generate a diff.  To extract plain text out that is an added burden for
> me (granted, probably in most cases only a small one).  But I shouldn't
> have presumed to judge what is burdensome for others.

Too burdensome for me, to deal with the diff.  And I don't
want to have to track down the current doc state that it
applies against, and use the patch to create the new doc
state from that, to be reviewed.